org.eclipse.mat.query.refined

## Class RefinedTree

- java.lang.Object
- - org.eclipse.mat.query.refined.RefinedStructuredResult
  - - org.eclipse.mat.query.refined.RefinedTree

All Implemented Interfaces:
  IIconProvider, IResult, IResultTree, ISelectionProvider, IStructuredResult

    public class RefinedTree
    extends RefinedStructuredResult
    implements IResultTree

The result from refining a tree.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.query.refined.RefinedStructuredResult

`RefinedStructuredResult.DerivedDataJobDefinition, RefinedStructuredResult.ICalculationProgress`

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.ISelectionProvider

`EMPTY`

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<?>` `getChildren(Object parent)` Returns the child elements of the given parent.
`List<?>` `getElements()` Returns the root elements of the tree.
`boolean` `hasChildren(Object element)` Returns whether the given element has children.

### Methods inherited from class org.eclipse.mat.query.refined.RefinedStructuredResult

`addDerivedDataColumn, buildTotalsRow, calculate, calculateTotals, filterChanged, getColumnFor, getColumns, getColumnValue, getContext, getFilter, getFilteredCount, getFormattedColumnValue, getIcon, getJobs, getResultMetaData, getSortColumn, getSortDirection, hasActiveFilter, isDecorated, isExpanded, isSelected, setSelectionProvider, setSortOrder, sort, unwrap`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Method Detail

#### getElements

    public List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  list of elements which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren(Object element)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`

#### getChildren

    public List<?> getChildren(Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.